Ubuntu 7.04 PHP5 Apache 2

Imagen de atoquero
0 puntos

Hola

 

En Ubuntu 7.04 he instaldo Apache 2.23 y PHP 5.2.1 sin errores.

Al abrir un fichero .PHP el navegador me propone descargarlo si acepto comienza a abrir pestañas vacias, una detras de otra, esto me pasa tanto en el navegador local como si me conecto desde otro equipo.

Desde la linea de comandos puedo ejecuto el fichero php correctamente

he instalado y desinstalado las aplicaciones varias veces , y siempre con el mismo resultado

Alguna idea?

 gracias

Imagen de jordicampos
+1
0
-1

Saludos, el hilo que te han pasado está muy bien, pero siempre y cuando no hayas instalado previamente el apache y el php.

Es habitual que desde aptitude o desde Adept o Synaptic le digas que elimine pero que no PURGUE. Esto es un hecho importante, porque si no PURGA las configuraciones SON MANTENIDAS, es decir, el fallo de que te salga que descargue, es un fallo en la configuración del httpd.conf o en su defecto apache2.conf.Todo es mantenido aunque instales otra versión distinta de apache2. Lo digo porque puede dar más de un quebradero de cabeza. Ya que únicamente es un problema de configuración.

Lo suyo sería que hicieras lo siguiente. Purga todo lo asociacido a apache2 incluído lo del PHP, para que se borren las configuraciones asociadas una vez hecho, instalas, por ejemplo, el phpmyadmin. El gestor de paquetes para mantener las dependencias tenderá a instalar lo justo y necesario para que corra el servidor web y el PHP, y lo intentará configurar de nuevo desde el principio

Si tienes alguna duda no temas en contestar

+1
0
-1
Imagen de atoquero
+1
0
-1

Probaré con una desinstalacion "total"

 

gracias a todos

 

 

+1
0
-1
Imagen de cacu100
+1
0
-1

Tengo el mismo problema, instale y desinstanle apache y php5. Antes usaba 6.10 y php4 corria sin problemas. Ahora tengo entendido que php4 no esta soportado a partir de la versión 7.04 de ubuntu(feisty).

Proble lo siguiente y logre solucionar el problema:

sudo aptitude remove --purgue php5

sudo aptitude remove --purge apache2

lo siguiente para purgar los paquetes desinstalados

dpkg -l | awk '/^rc/ {print $2}' |xargs sudo dpkg --purge

luego instalo nuevamente

sudo aptitude install apache2

sudo aptitude install php5

Voy a probar

<?php

phpinfo();

?>

Gracias por el tip, si no hubieras dicho que tenia que usar la opción purge todavia estaria trantando de buscar el problema.

+1
0
-1
Imagen de mookie
+1
0
-1

Gracias por la info. Estaba medio desesperado y con esta info. he logrado desinstalar en condiciones apache2 y php5 para volverlo a instalar correctamente.

Insisto, muchas gracias.

;)

 

 DESINSTALAR APACHE2 Y PHP5

  • sudo aptitude remove --purge apache2
  • sudo aptitude remove --purgue php5

PURGAR LSO PAQUETES DESINSTALADOS

  • dpkg -l | awk '/^rc/ {print $2}' |xargs sudo dpkg --purge

INSTALAR APACHE2 Y PHP5

  • sudo aptitude install apache2
  • sudo aptitude install php5

TEST.PHP
<?php
phpinfo();
?>

 

+1
0
-1